On 5/26/07, Urabe Shyouhei <shyouhei / ruby-lang.org> wrote:
> Hi,
>
> johan556 / gmail.com wrote:
> > I guess the problem is an incomplete merging of changes in
> > "runruby.rb" from "ruby_1_8" to "ruby_1_8_6". In "ruby_1_8_6" the
> > variable is never initialized for example.
>
>
> Indeed.  Does this fix the problem?
>

Yes. Now "make install-doc" works.

/Johan Holmberg



> Index: runruby.rb
> ===================================================================
> --- runruby.rb  (revision 12390)
> +++ runruby.rb  (working copy)
> @@ -41,11 +41,7 @@
>  ENV["RUBY"] = File.expand_path(ruby)
>  ENV["PATH"] = [abs_archdir, ENV["PATH"]].compact.join(File::PATH_SEPARATOR)
>
> -if pure
>    libs << File.expand_path("ext", srcdir) << "-"
> -elsif e = ENV["RUBYLIB"]
> -  libs |= e.split(File::PATH_SEPARATOR)
> -end
>  ENV["RUBYLIB"] = $:.replace(libs).join(File::PATH_SEPARATOR)
>
>  libruby_so = File.join(abs_archdir, config['LIBRUBY_SO'])
> @@ -59,7 +55,6 @@
>  end
>
>  cmd = [ruby]
> -cmd << "-rpurelib.rb" if pure
> +cmd << "-rpurelib.rb"
>  cmd.concat(ARGV)
> -cmd.unshift(*debugger) if debugger
>  exec(*cmd)
>
>
>
>